Subject: bug#38711: closed (Re: [bug#38711] [PATCH] build-system: qt: Actually use qt-build-system, not cmake-build-system.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 23 Dec 2019 16:52:02 +0000

Your bug report

#38711: [PATCH] build-system: qt: Actually use qt-build-system, not cmake-build-system.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38711: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38711
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#38711] [PATCH] build-system: qt: Actually use qt-build-system, not cmake-build-system.
From: Hartmut Goebel <[email-masked]>
To: Efraim Flashner <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 23 Dec 2019 17:50:51 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Efraim,

thanks for the review.

Am 23.12.19 um 14:30 schrieb Efraim Flashner:
> This would explain some of the problems we've run into with, say,
> mumble. If applying this means we can reverse
> a7a91c01c98499c8a1e44fadea1b8f70e91fc16f and still have the binaries
> wrapped then I say go for it.

Yes, this patch allows to revert
a7a91c01c98499c8a1e44fadea1b8f70e91fc16f. See also
<https://debbugs.gnu.org/cgi/bugreport.cgi?bug=38553#47>.

I already reverted a7a91c01c and changed the other packages which used
the same pattern ((sddm, ktouch, kdeconnect, kdevelop))

> Don't forget to re-indent the following lines 

ACK. I did this in a separate commit to make the actual change more obvious.

Pushed as fce8ec9e151..50bdf0043.

-- 
Regards
Hartmut Goebel

| Hartmut Goebel          | [email-masked]               |
| www.crazy-compilers.com | compilers which you thought are impossible |

Subject: [PATCH] build-system: qt: Actually use qt-build-system, not cmake-build-system.
From: Hartmut Goebel <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 22 Dec 2019 22:40:03 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

When the qt-build-system was created, based on the cmake-build-system,
some references to cmake have been missed to be changed.

* guix/build-system/qt.scm (qt-build, qt-cross-build)[modules]:
  Use qt-build-system, not cmake-build-system. [builder]: Call qt-build,
  not cmake-build.
---
 guix/build-system/qt.scm | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/guix/build-system/qt.scm b/guix/build-system/qt.scm
index b776845377..67fdfa1230 100644
--- a/guix/build-system/qt.scm
+++ b/guix/build-system/qt.scm
@@ -126,14 +126,14 @@
                       (qt-wrap-excluded-outputs ''())
                       (system (%current-system))
                       (imported-modules %qt-build-system-modules)
-                      (modules '((guix build cmake-build-system)
+                      (modules '((guix build qt-build-system)
                                  (guix build utils))))
   "Build SOURCE using CMAKE, and with INPUTS. This assumes that SOURCE
 provides a 'CMakeLists.txt' file as its build system."
   (define builder
     `(begin
        (use-modules ,@modules)
-       (cmake-build #:source ,(match (assoc-ref inputs "source")
+       (qt-build #:source ,(match (assoc-ref inputs "source")
                                 (((? derivation? source))
                                  (derivation->output-path source))
                                 ((source)
@@ -208,7 +208,7 @@ provides a 'CMakeLists.txt' file as its build system."
                             (system (%current-system))
                             (build (nix-system->gnu-triplet system))
                             (imported-modules %qt-build-system-modules)
-                            (modules '((guix build cmake-build-system)
+                            (modules '((guix build qt-build-system)
                                        (guix build utils))))
   "Cross-build NAME using CMAKE for TARGET, where TARGET is a GNU triplet and
 with INPUTS.  This assumes that SOURCE provides a 'CMakeLists.txt' file as its
@@ -237,7 +237,7 @@ build system."
                      `(,name . ,path)))
                   target-drvs))
 
-         (cmake-build #:source ,(match (assoc-ref native-drvs "source")
+         (qt-build #:source ,(match (assoc-ref native-drvs "source")
                                   (((? derivation? source))
                                    (derivation->output-path source))
                                   ((source)
-- 
2.21.1